From f0f6ba8fdfe5fed843363d85a47d0f2a4226aa0e Mon Sep 17 00:00:00 2001
From: Neal Gompa <ngompa@fedoraproject.org>
Date: Mar 19 2026 09:29:22 +0000
Subject: [PATCH 14/16] Add vendor configuration for dnf-copr(8)


This ensures that the COPR plugin works properly on the Remix.

---

diff --git a/fedora-asahi-remix-release.spec b/fedora-asahi-remix-release.spec
index 6a5a791..8911130 100644
--- a/fedora-asahi-remix-release.spec
+++ b/fedora-asahi-remix-release.spec
@@ -2326,6 +2326,13 @@ ln -s --relative %{buildroot}%{_swidtagdir} %{buildroot}%{_sysconfdir}/swid/swid
 # Install DNF 5 configuration defaults
 install -Dm0644 %{SOURCE31} -t %{buildroot}%{_prefix}/share/dnf5/libdnf.conf.d/
 
+# Create the copr vendor file
+install -d %{buildroot}%{_datadir}/dnf/plugins
+cat >> %{buildroot}%{_datadir}/dnf/plugins/copr.vendor.conf << EOF
+[main]
+distribution = %[0%{?fedora} >= 41 ? "fedora" : "Fedora"]
+releasever = %{releasever}
+EOF
 
 %files common
 %license licenses/LICENSE licenses/Fedora-Legal-README.txt
@@ -2354,6 +2361,8 @@ install -Dm0644 %{SOURCE31} -t %{buildroot}%{_prefix}/share/dnf5/libdnf.conf.d/
 %dir %{_sysconfdir}/swid
 %{_sysconfdir}/swid/swidtags.d
 %{_prefix}/share/dnf5/libdnf.conf.d/20-fedora-defaults.conf
+%dir %{_datadir}/dnf/plugins
+%{_datadir}/dnf/plugins/copr.vendor.conf
 
 
 %if %{with basic}

